Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Interface XSLProcessor

All Superinterfaces:
  org.xml.sax.Parser

All Known Implementing Classes:
  XSLProcessorImpl

public interface XSLProcessor
extends org.xml.sax.Parser

typical usage:

        // find an implementation, and construct it
        XSLProcessor xsl = new XSLProcessorImpl();
        xsl.setParser(sourceParser, styleParser);
        xsl.loadStylesheet(someInputSource);

        // maybe clone for re-use ...

        // maybe set some parameters ...

        // attach an output handler
        xsl.setDocumentHandler(someHandler);
        xsl.parse(someOtherInputSource);

Method Summary
`java.lang.Object` | `clone()` clone after loadStylesheet() enables us to re-use a transformer, without recompiling the stylesheet
`void` | `loadStylesheet(org.xml.sax.InputSource stylesheet)` loadStylesheet must be called before parse but after setParser
`void` | `setDebugger(java.lang.String name, ActionDebugTarget xrap)` sets a special kind of extension element processor N.B. this signature will probably change in future releases
`void` | `setOutputMethodHandler(OutputMethodHandler handler)` set the output target for the transform
`void` | `setParameter(java.lang.String name, java.lang.Object obj)` set the run-time parameters for the stylesheet
`void` | `setParser(org.xml.sax.Parser parser)` setParser must be called before any other methods
`void` | `setParser(org.xml.sax.Parser sourceParser, org.xml.sax.Parser stylesheetParser)` set one parser for the stylesheet, and another for the input
`void` | `setSaxExtensionFilter(java.lang.String name, SaxFilterMaker xrap)` sets a special kind of extension element processor N.B. this signature will probably change in future releases

Methods inherited from interface org.xml.sax.Parser
`parse, parse, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setLocale`

Method Detail

### setParser

    public void setParser(org.xml.sax.Parser parser)

  setParser must be called before any other methods

### setParser

    public void setParser(org.xml.sax.Parser sourceParser,
                          org.xml.sax.Parser stylesheetParser)

  set one parser for the stylesheet, and another for the input

### setOutputMethodHandler

    public void setOutputMethodHandler(OutputMethodHandler handler)

  set the output target for the transform

### loadStylesheet

    public void loadStylesheet(org.xml.sax.InputSource stylesheet)
                        throws java.io.IOException,
                               org.xml.sax.SAXException

  loadStylesheet must be called before parse but after setParser

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### clone

    public java.lang.Object clone()

  clone after loadStylesheet() enables us to re-use a transformer, without recompiling the stylesheet

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object obj)

  set the run-time parameters for the stylesheet

### setSaxExtensionFilter

    public void setSaxExtensionFilter(java.lang.String name,
                                      SaxFilterMaker xrap)

  sets a special kind of extension element processor N.B. this signature will probably change in future releases

### setDebugger

    public void setDebugger(java.lang.String name,
                            ActionDebugTarget xrap)

  sets a special kind of extension element processor N.B. this signature will probably change in future releases

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD